Results 1 to 6 of 6

Thread: issues updating

  1. #1

    Default issues updating

    When I type in zypper dup to update/upgrade packages and the system I get a lot of

    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)

    I got those when I first installed suse and did the updates and then I added repositories like tumbleweed and gnome 3 and now when i do zypper dup I get hundreds of these "errors"

  2. #2
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: issues updating

    On 04/12/2011 11:36 PM, adrienk wrote:
    >
    > when i do zypper dup I get hundreds of these "errors"


    'zypper dup' + conflicting repo = a confused/sick/broken system..

    once you add Tumbweed, you are no longer running openSUSE 11.2, 11.3 or
    11.4, instead you are running Tumbleweed and should take your troubles
    only to the Tumbleweed forum <http://tinyurl.com/3ljwanm> and/or the
    Factory mail list <opensuse-factory+subscribe@opensuse.org>

    --
    CAVEAT: http://is.gd/bpoMD
    [NNTP via openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8]
    Maybe the developers are not here because they are so busy fixing these>
    http://tinyurl.com/392jnb

  3. #3

    Default Re: issues updating

    um i would gladly if these issues started during the tubmleweed updates. how ever before I added any extra repos (this includes tumbleweed) these were my errors when running zypper dup.

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: issues updating

    On 2011-04-13 14:06, adrienk wrote:
    >
    > um i would gladly if these issues started during the tubmleweed updates.
    > how ever before I added any extra repos (this includes tumbleweed) these
    > were my errors when running zypper dup.


    Don't su, but "su -".

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.2 x86_64 "Emerald" at Telcontar)

  5. #5
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: issues updating

    Carlos E. R. wrote:
    >
    > Don't su, but "su -".
    >

    Do what Carlos wrote it is essential to use "su -" and for further
    information look here:

    https://bugzilla.novell.com/show_bug.cgi?id=672793
    https://bugzilla.novell.com/show_bug.cgi?id=672793#c2

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.1 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | Gnome 2.32 | nVidia
    ION | 3GB Ram

  6. #6
    Join Date
    Sep 2008
    Location
    Sulzbach (Taunus), Hessen [Hesse], Deutschland [Germany]
    Posts
    2,178

    Default Re: issues updating

    Quote Originally Posted by martin_helm View Post
    Carlos E. R. wrote:
    >
    > Don't su, but "su -".
    >

    Do what Carlos wrote it is essential to use "su -"
    [...]
    If interested in the difference of those two comments in general you may also have a look at
    Bug 682726 - Reference suggests only "su" instead of "su -"/su -l/su --login "make the shell a login shell"
    with further links.

    Regards
    Martin
    (pistazienfresser)

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •